﻿using System;

namespace BearWare.PixlrGadget.Models
{
    /// <summary>
    /// A class for storing feed settings for the RSS gadget. 
    /// </summary>
    public class Settings
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="Settings"/> class.
        /// </summary>
        public Settings() { }

        /// <summary>
        /// Initializes a new instance of the <see cref="Settings"/> class.
        /// </summary>
        /// <param name="gadgetId">The gadget id.</param>
        public Settings(Guid gadgetId)
        {
            GadgetId = gadgetId;
        }

        /// <summary>
        /// The id of the gadget this settings object is providing settings for.
        /// </summary>
        public Guid GadgetId { get; private set; }

        /// <summary>
        /// Gets or sets the rul for the feed.
        /// </summary>
        public int EditorHeight { get; set; }

        public int PreviewSize { get; set; }
    }
}
