﻿using System.Collections.Generic;
using System.Linq;
using System;

namespace BearWare.PixlrGadget.Models
{
    /// <summary>
    /// Represents the model data sent to the RSS Reader feed display view 
    /// </summary>
    public class ViewModel
    {
        #region Constructors

        public ViewModel() { }
        public ViewModel(Guid gadgetid)
        {
            GadgetId = gadgetid;
        }

        public ViewModel(FileInfo fi, Settings s)
        {
            GadgetId = fi.GadgetId;
            FileInfo = fi;
            Settings = s;
        }

        #endregion

        #region Public model properties

        public Guid GadgetId { get; set; }
        public FileInfo FileInfo { get; set; }
        public Settings Settings { get; set; }
        public string EditorUrl { get; set; }
        public string SavedImageMessage { get; set; }

        public int StartPageFolderId { get; set; }
        public int StartPageId { get; set; }
        public int StartPageParentId { get; set; }

        #endregion
    }
}
