﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using EPiServer.Web.Hosting;
using System.Web.Hosting;

namespace BearWare.PixlrGadget
{
    public static class Util
    {
        public static string FileGuid(string path)
        {
            if (string.IsNullOrEmpty(path))
                return string.Empty;

            UnifiedFile file = HostingEnvironment.VirtualPathProvider.GetFile(path) as UnifiedFile;
            if (file == null)
                return string.Empty;

            if (file.GetType() == typeof(VersioningFile))
                return ((VersioningFile)file).Guid.ToString();

            return string.Empty;
        }

        public static string FileName(string path)
        {
            if (string.IsNullOrEmpty(path))
                return string.Empty;

            UnifiedFile file = HostingEnvironment.VirtualPathProvider.GetFile(path) as UnifiedFile;
            if (file == null)
                return string.Empty;

            return file.Name;
        }

        public static string FolderPath(string filepath)
        {
            if (string.IsNullOrEmpty(filepath))
                return string.Empty;

            return filepath.Substring(0, filepath.LastIndexOf('/') + 1);
        }

        public static string VersioningSupport(string path)
        {
            if (string.IsNullOrEmpty(path))
                return "false";

            UnifiedFile file = HostingEnvironment.VirtualPathProvider.GetFile(path) as UnifiedFile;
            if (file == null)
                return string.Empty;

            VersioningFile vf = file as VersioningFile;
            if (file == null)
                return "false";

            return "true";
        }

        public static string UrlEncode(string str)
        {
            return HttpUtility.UrlEncode(str).Replace("+", "%20");
        }
    }
}
